=== debian/changelog ===
xfaces (3.3-30.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (closes: #1007600)

 -- Bastian Germann <bage@debian.org>  Wed, 20 Aug 2025 17:41:50 +0200

xfaces (3.3-30.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089474)
  * Run `dpkg-gencontrol` a bit later to ensure the
    Installed-Size is correct.

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 09:14:02 +0000

xfaces (3.3-30.1) unstable; urgency=high

  * Non-maintainer upload
  * Drop suspicious 1 and alla.db files (closes: #1049887)

 -- Bastian Germann <bage@debian.org>  Tue, 26 Mar 2024 12:22:11 +0000

xfaces (3.3-30) unstable; urgency=low

  * Add some missing includes (closes: #1066259)

 -- Hakan Ardo <hakan@debian.org>  Fri, 22 Mar 2024 13:51:46 +0100

xfaces (3.3-29) unstable; urgency=low

  * Migrate to debhelper compat level 9 (closes: #800191)
  * Build using dpkg-buildflags
  * Applied patch by Chris Lamb <lamby@debian.org> to removes timestamps
    and thereby make xfaces build reproducibly (closes: #777063)

 -- Hakan Ardo <hakan@debian.org>  Wed, 18 Nov 2015 21:44:41 +0100

xfaces (3.3-28) unstable; urgency=low

  * Renamed debian/patches to debian/patcheslist (closes: #538681)
  * Removed builddep on rman (closes: #492133)

 -- Hakan Ardo <hakan@debian.org>  Sun, 21 Feb 2010 11:29:27 +0100

xfaces (3.3-27) unstable; urgency=low

  * Replaced buildep on x-dev with x11proto-core-dev (closes: #515472)
  * Added buildep xutils-dev (closes: #527507)
  * Removed buildep on xutils

 -- Hakan Ardo <hakan@debian.org>  Mon, 08 Jun 2009 14:56:53 +0200

xfaces (3.3-26) unstable; urgency=low

  * Applied patch from Aaron M. Ucko <ucko@debian.org> fixing X11R7
    transaction

 -- Hakan Ardo <hakan@debian.org>  Sun, 30 Apr 2006 09:58:38 +0200

xfaces (3.3-25) unstable; urgency=low

  * Applied patch from Justin Pryzby <justinpryzby@users.sf.net> that
    updates build-deps for xlibs-dev removal; closes: #346812.

 -- Hakan Ardo <hakan@debian.org>  Wed, 18 Jan 2006 07:59:16 +0100

xfaces (3.3-24) unstable; urgency=low

  * Rebuilt with correct xlibs (closes: #301154)
  * Proper file premitions now generated

 -- Hakan Ardo <hakan@debian.org>  Fri, 25 Mar 2005 11:49:06 +0100

xfaces (3.3-22) unstable; urgency=low

  * Applied patch from Sam Vilain <sam@vilain.net> making xfaces use TOP
    POP3 command instead of RETR (closes: #261454)
  * Fixed manpage section in .TH header
  * Added section and priority fileds to binary package

 -- Hakan Ardo <hakan@debian.org>  Sat, 19 Mar 2005 16:39:06 +0100

xfaces (3.3-21) unstable; urgency=low

  * Applied patch-robh fixing useContentLength resource
  * New picons path in app-defaults
  * Improved description layout (closes: #164275)
  * Changed builddepnd of libxaw to libxaw7-dev (closes: #170009)
  * Now checks for new mail on Button2Up instead of Button2Down, patch
    by  Neil Brown <neilb@cse.unsw.edu.au>, (closes: #191354)
  * Removed some copyrighted images (closes: #204490)
  * No more usr/doc link
  * Bin now striped
  * Fixed typos in copyright

 -- Hakan Ardo <hakan@debian.org>  Sun, 10 Aug 2003 13:42:42 +0200

xfaces (3.3-20) unstable; urgency=low

  * Added NMU patch

 -- Hakan Ardo <hakan@debian.org>  Sun,  9 Feb 2002 12:58:07 +0200

xfaces (3.3-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make /etc/X11/app-defaults/XFaces a conffile (closes: #132093).
  * Clean debian/substvars.

 -- Colin Watson <cjwatson@debian.org>  Sat,  9 Feb 2002 00:04:36 +0000

xfaces (3.3-19) unstable; urgency=low

  * Added xutils to build dependencies (Bug#88732)

 -- Hakan Ardo <hakan@debian.org>  Tue,  6 Mar 2001 15:06:09 +0100

xfaces (3.3-18) unstable; urgency=low

  * Added Build-Depends
  * Now builds with -O3 instaed of -g

 -- Hakan Ardo <hakan@debian.org>  Fri,  2 Mar 2001 18:27:29 +0100

xfaces (3.3-17) unstable; urgency=low

  * app-delafuts moved to /etc (Bug#78198)

 -- Hakan Ardo <hakan@debian.org>  Sat, 30 Dec 2000 15:40:11 +0100

xfaces (3.3-16) unstable; urgency=low

  * Source pkg now chmods postinst and prerm executable (Bug #69100)

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Oct 2000 13:22:20 +0100

xfaces (3.3-15) unstable; urgency=low

  * Recompiled to updated dependency on xpm4g to libxpm4 (Bug #67947)
  * Moved docs to /usr/share

 -- Hakan Ardo <hakan@debian.org>  Mon,  7 Aug 2000 19:08:57 +0200

xfaces (3.3-14) unstable; urgency=low

  * Reuploded, now with .orig and diff file (Bug #44230)

 -- Hakan Ardo <hakan@debian.org>  Mon,  7 Aug 2000 18:49:08 +0200

xfaces (3.3-13) unstable; urgency=low

  * xpm images are now displayed shaped too (Bug #21199)
  * Dependency on picons downgraded to a suggestion (Bug #24615)
  * Applied Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de> patch 
    which fixes (Bug #24122):
    + Need to re-run imake before building, because Makefile included in
      package still linked with libXExExt which doesn't exist anymore.
    + Don't copy debian/conffiles unconditionally, because it doesn't exist
      in the current source tree. I've seen that conffiles is empty in the
      i386 .deb, so create an empty file for it.

 -- Hakan Ardo <hakan@debian.org>  Thu,  2 Jul 1998 19:10:27 +0200

xfaces (3.3-12) unstable; urgency=low

  * Walked through the checklist and undated the Standards-Version to 2.4.0.0
  * The xfaces binary is now striped
  * Applied Richard Braakman <dark@xs4all.nl>'s fixes to the package 
    description (Bug #19002)

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Mar 1998 18:57:58 +0100

xfaces (3.3-11) unstable; urgency=low

  * Man page now compressed
  * Leading spaces in description removed
  * Now has /var/spool/main as default maildir (Bug #18050)

 -- Hakan Ardo <hakan@debian.org>  Sat, 21 Feb 1998 19:33:07 +0100

xfaces (3.3-10) unstable; urgency=low

  * Recompiled with the fixed version of libcompface to remove libc5 
    dependencis (Bug #14803, #16688)


