=== debian/control ===
Source: xfaces
Section: mail
Priority: optional
Maintainer: Hakan Ardo <hakan@debian.org>
Rules-Requires-Root: no
Standards-Version: 3.9.6
Build-Depends: libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, xutils-dev, x11proto-core-dev, libxaw7-dev, nas-dev, libcompfaceg1-dev, debhelper (>=9)

Package: xfaces
Section: mail
Priority: optional
Architecture: any
Suggests: picons
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Displays an image for each piece of mail in your mailbox
 XFaces is a program that will display an image for each
 piece of mail in your mail box. This lets you know at a
 glance who you have mail from. XFaces starts out (when you
 have no mail) looking like a color xbiff. As you receive
 mail XFaces becomes a column of mail images. Some of XFaces
 features:
  - Both mono and color images.
  - Optional Shaped window support with both xpm and xbm.
  - Sound support using the NetAudio protocol. The NetAudio server
    currently supports Sun's SparcStation (SunOS 4.1.X and Solaris
    2.2), SGI's Indigo and NCD MCX X terminals running NCDware 3.1 or
    later.
  - Face images can be "compressed" so that each image will only show
    up once on your display. This way, if you receive 30 messages from
    one user, list or whatever the image will only show up once.
  - You can use regular expressions to search any headers to choose
    images and sounds or ignore that mail message completely. This
    lets you specify an image/sound for mail that comes from a mailing
    list or ignore mail that you have already seen but left in your
    system mailbox.
  - Compatibility support for Rich Burridge's faces program. This
    includes the ability to run user command to generate the image
    list.
  - Support for POP mailboxes.
  - XFaces can kick off shell commands based upon mailbox contents.
    You could have yourself paged when a high priority item needs your
    attention.
  - XFaces can run external filters to convert images into Xpm so that
    image formats that XFaces does not understand can be used.
  - The annotations for mail items include username, hostname, count,
    user@host, the contents of any header.
