=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=xfaces

build:
	$(checkdir)
	touch build

build-arch: build
build-indep: build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean 
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars
	dh_clean

binary-indep:	build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/etc/X11/app-defaults
	install -d debian/tmp/usr/share/xfaces/images
	cp -a Makefile debian/
	xmkmf
	sed -i -e 's/           CFLAGS = /override CFLAGS += /' Makefile
	sed -i -e 's/        LDOPTIONS = /        LDOPTIONS = $$(LDFLAGS) /' Makefile
	$(MAKE) $(shell dpkg-buildflags --export=cmdline) all
	cp xfaces debian/tmp/usr/bin/xfaces
	strip debian/tmp/usr/bin/xfaces
	install -m0644 XFaces.ad debian/tmp/etc/X11/app-defaults/XFaces
	install -m0644 xfaces.man debian/tmp/usr/share/man/man1/xfaces.1x
	gzip -9vn debian/tmp/usr/share/man/man1/xfaces.1x
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp debian/patcheslist debian/tmp/usr/doc/$(package)/.
	cp images/* debian/tmp/usr/share/xfaces/images
	chmod 0644 debian/tmp/usr/share/xfaces/images/*
	if [ -f debian/conffiles ]; then \
		cp debian/conffiles debian/tmp/DEBIAN; \
	else \
		touch debian/tmp/DEBIAN/conffiles; \
	fi
	cp README TODO CHANGES CREDITS debian/tmp/usr/doc/$(package)/
	cp ChangeLog  debian/tmp/usr/doc/$(package)/changelog
	gzip -9vn debian/tmp/usr/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	chmod 0644 debian/tmp/usr/doc/$(package)/*
	dpkg-shlibdeps xfaces
	dh_strip
	chmod -R g-ws debian/tmp
	mv debian/tmp/usr/doc debian/tmp/usr/share
	cp debian/prerm debian/tmp/DEBIAN
	chmod 755 debian/tmp/DEBIAN/prerm
	dpkg-gencontrol -isp
	dpkg-deb --root-owner-group --build debian/tmp ..
	mv debian/Makefile .

define checkdir
	test -f face_actions.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean
